const DATA_SEPERATOR = ";";

class GazeData {
  constructor(leftEyeX, leftEyeY, rightEyeX, rightEyeY, trackerTimeStamp,
    systemTimeStamp) {
    this.leftEyeX = leftEyeX;
    this.leftEyeY = leftEyeY;
    this.rightEyeX = rightEyeX;
    this.rightEyeY = rightEyeY;
    this.trackerTimeStamp = trackerTimeStamp;
    this.systemTimeStamp = systemTimeStamp;
  }

  static fromDataString(dataString) {
    let dataValues = dataString.split(DATA_SEPERATOR);
    return new GazeData(dataValues[0], dataValues[1], dataValues[2],
      dataValues[3], dataValues[4], dataValues[5]);
  }
}

export default GazeData;